/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 ******************************************************************************/
package org.eclipse.cosmos.me.provisional.deployment.sdd.tooling.btg;

import org.w3c.dom.Document;

public class SDDFragment {

	Document fragment;
	Object metadata;
	
	public SDDFragment(Document fragment, Object metadata) {
		this.fragment = fragment;
		this.metadata = metadata;
	}
	
	/**
	 * @return the metadata
	 */
	public Object getMetadata() {
		return metadata;
	}

	/**
	 * @param metadata the metadata to set
	 */
	public void setMetadata(Object metadata) {
		this.metadata = metadata;
	}

	/**
	 * @return the fragment
	 */
	public Document getFragment() {
		return fragment;
	}

	/**
	 * @param fragment the fragment to set
	 */
	public void setFragment(Document fragment) {
		this.fragment = fragment;
	}
}